Subject: [Sigtran] sg-sg communication

From: "reshma" <[email-masked]>
Date: Thu, 30 May 2002 20:04:43 +0530

Hi  Tolga,

    Thanks for your reply some more doubts :-(

> >  [Reshma] Okay now its clear. But how does SG1 knows whether the data is
> > from SG2 or from ASPs? Depending on which he might have to act as relay
> > point or a normal SG?
> [TOLGA] With the same method, it can know, whether a message is from ASP1
or
> ASP2, this is implemention dependent (but most probably based on the
source
> address of the SCTP message)

[Reshma] As per M3UA draft , m3ua can act as an SGP,ASP,IPSP.
When it acts its an IPSP the peer is always assumed to be IPSP.
And when it is SG it knows the peer is ASP .And hence there was a set
of messages defined in the draft which they can receive and send for each
one.
But now we have SG-SG communication other than SG-ASP communication
The initial behavior that SG should have is different for SG-SG
communication and SG-ASP communication  ie SG expects a SSNM followed by TAL
meessage in SG-SG communication whereas in case of SG-ASP has ASPUP and
ASPAC procedures.So it should be configured initially ..which all ASPs and
SGs will be connected and which peer is an ASP/SG  ?(and behave
differently?) OR SG should be configured to either behave as STP or as SEP?

> > Also once the TAL message is sent if any PC is not available then does
one
> > SG send DUNA to the other SG? How it is handled?
> [TOLGA] After TAL, if one PC becomes available, SG1 will send DAVA to SG2.

[Reshma] But the draft says "4.3 Traffic Allowed Message(TAL)

   TAL is used to indicate to a peer the end of SSNM "

Which is confusing

Thanks,
reshma

> > >
> > >
> > > _______________________________________________
> > > Sigtran mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Thu, 30 May 2002 10:56:02 -0400

Reshma,

> -----Original Message-----
> From: reshma [mailto:[email-masked]]
> Sent: Thursday, May 30, 2002 10:35 AM
> To: Tolga Asveren
> Cc: [email-masked]
> Subject: sg-sg communication
>
>
> Hi  Tolga,
>
[TOLGA] No, IPSP will behaeve as ASP against SGPs.
> differently?) OR SG should be configured to either behave as STP
[TOLGA] This is configuration.
>    TAL is used to indicate to a peer the end of SSNM "
[TOLGA] The draft says "TAL is used to indicate to a peer the end of SSNM ,
which are sent
   to declare list of not allowed/restricted point codes, after a SCTP
   association is established. ". I have the impression, we will change how
traffic is started and availability information is exchanged but still to be
discussed.

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 30 May 2002 09:59:27 -0500

Reshma,

reshma wrote:                                              (Thu, 30 May 2002 20:04:43)
> differently?) OR SG should be configured to either behave as STP or as SEP?

When connecting to the SS7 network, the SG needs to know which SS7
SPs it is connected to.  This is done by static configuration.
There should be no difficulty providing configuration at the SG as
to the nature of associations made with it.

> [Reshma] But the draft says "4.3 Traffic Allowed Message(TAL)

I would rather get rid of TAL.  There is no reason why an SG can't use
ASPUP/DN, ASPAC/IA and DAUD for MTP3 restart in a similar fashion to
M3UA.  The only minor difference is that MTP3 restart should be handled
by a peer-to-peer arrangement rather than a MTP3/MTP3-User arrangement.
That is:

	SG goes ASPUP.

	SG does not require MTP3 restart if it has not isolated from
	the SS7 or IP networks.

	SG needs to assume that all destinations are available at the
	beginning of the procedure (rather than unavailable as in the
	backhaul case).

	SG requests update of routes by issuing DAUD to peer.  Peer
	responds with only unavailable (DUNA) destinations.  (Note
	that routes cannot be congested when no traffic is flowing
	to them).

	After a time equivalent to T19, T20, T21, the SG starts traffic
	with ASPAC.

The difference here is that DAUD is issued before ASPAC (instead of
after in the backhaul case), destinations are assumed available and
uncongested (instead of unavailable as in the backhaul case).

Voila.  No TAL.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/